public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/httplib2/
Date: Tue, 29 Sep 2015 07:28:21 +0000 (UTC)	[thread overview]
Message-ID: <1443511699.47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f.jlec@gentoo> (raw)

commit:     47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 29 07:28:09 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 07:28:19 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47c16b77

dev-python/httplib2: Version Bump

Package-Manager: portage-2.2.22
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/httplib2/Manifest              |  1 +
 dev-python/httplib2/httplib2-0.9.2.ebuild | 33 +++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/httplib2/Manifest b/dev-python/httplib2/Manifest
index 64988dd..45bed21 100644
--- a/dev-python/httplib2/Manifest
+++ b/dev-python/httplib2/Manifest
@@ -1,2 +1,3 @@
 DIST httplib2-0.8.tar.gz 148284 SHA256 af689bc3cb10a95721eb0d0cf806202a699e7799dacd3497f63b48b2ba429c3f SHA512 3b95b2f64f7b24a638792562e2d8645f9087ab716a105c8771e002507fde3cca9eb7e5de27140a7aed075e70ebd83fbfbda798714a94153b6233b2b704db1176 WHIRLPOOL 3aa30e5e4cdb08cb6e8544d2fb82eb02492ce04a5752255ae281389fcc382aceecdb060a3cda0a926eba4bbe15563d379851c97cbcabbb17106696f4a90d4987
 DIST httplib2-0.9.1.tar.gz 205074 SHA256 bc6339919a5235b9d1aaee011ca5464184098f0c47c9098001f91c97176583f5 SHA512 2005d55c94971163b42366a33578f068b3e1316d59b4d834dc2d2ebcfa050d1492a27d0eefaceea48ed0cc41d8d6d3eb1b401658546a317ff82f0901a441f716 WHIRLPOOL 0d680d8a5745313c64cf0704d1e0aafd14e71a923ef3290caa118b867dc2722f087c6cc2977f104a025a2409d86a4561aac5f39718d80c083d58cd953d32b69d
+DIST httplib2-0.9.2.tar.gz 205165 SHA256 c3aba1c9539711551f4d83e857b316b5134a1c4ddce98a875b7027be7dd6d988 SHA512 cf1684f2d072588bc676c02491667480bdd2be0b3494703129d9cfa339d1233e14c0b4895b174d4c2ec5e2f5ae265d165b4e001b180f39f81db2178f91a032f8 WHIRLPOOL d795a016202821870e890531011e7c1c51dbc52f78f79ccf078e85fb3c1155dcf996b2e629b450ba79e34ccdda41e3df3d80293e102c39a76a57d174e51a884e

diff --git a/dev-python/httplib2/httplib2-0.9.2.ebuild b/dev-python/httplib2/httplib2-0.9.2.ebuild
new file mode 100644
index 0000000..78cdde8
--- /dev/null
+++ b/dev-python/httplib2/httplib2-0.9.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive HTTP client library"
+HOMEPAGE="https://pypi.python.org/pypi/httplib2 https://github.com/jcgregorio/httplib2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# tests connect to random remote sites
+RESTRICT="test"
+
+python_test() {
+	if [[ ${EPYTHON} == python2.7 ]] ; then
+		cd python2 || die
+	else
+		cd python3 || die
+	fi
+
+	"${PYTHON}" httplib2test.py || die
+}


             reply	other threads:[~2015-09-29  7:28 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-29  7:28 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-29  8:34 [gentoo-commits] repo/gentoo:master commit in: dev-python/httplib2/ Justin Lecher
2015-11-24 12:10 Justin Lecher
2016-01-14 11:56 Agostino Sarubbo
2016-01-20 15:22 Andreas Schuerch
2016-02-16 20:42 Mike Frysinger
2016-02-28  7:25 Matt Thode
2016-11-20 13:04 Agostino Sarubbo
2016-11-20 13:08 Agostino Sarubbo
2016-11-23  9:20 Tobias Klausmann
2016-11-24 11:40 Dirkjan Ochtman
2016-11-29 17:19 Markus Meier
2017-01-25 15:45 Mike Gilbert
2017-02-10 10:59 Lars Wendler
2017-03-12 12:25 Zac Medico
2017-07-15 17:36 Tobias Klausmann
2017-07-15 18:25 Sergei Trofimovich
2017-08-02 16:13 Thomas Deutschmann
2017-08-02 16:13 Thomas Deutschmann
2017-10-15 19:07 Sergei Trofimovich
2017-10-16  8:28 Sergei Trofimovich
2017-11-24 22:20 Sergei Trofimovich
2019-01-28 20:28 Matthew Thode
2019-08-05  9:12 Patrice Clement
2019-12-03  4:18 Aaron Bauman
2020-03-25  0:32 Sebastian Pipping
2020-03-27 11:45 Michał Górny
2020-03-27 11:45 Michał Górny
2020-04-08 14:01 Agostino Sarubbo
2020-05-27  7:45 Michał Górny
2020-06-03 20:23 Michał Górny
2020-06-04 10:32 Michał Górny
2020-06-04 14:10 Sergei Trofimovich
2020-06-11 18:01 Sergei Trofimovich
2020-06-12  7:51 Agostino Sarubbo
2020-06-12  7:52 Agostino Sarubbo
2020-06-12  7:53 Agostino Sarubbo
2020-06-12  7:54 Agostino Sarubbo
2020-06-12  7:55 Agostino Sarubbo
2020-06-18  3:15 Aaron Bauman
2020-07-16  4:18 Sam James
2020-09-04  8:57 Sergei Trofimovich
2020-09-20  9:36 Michał Górny
2021-01-22  1:41 Sam James
2021-01-22  1:41 Sam James
2021-01-22  1:41 Sam James
2021-02-09  9:20 Michał Górny
2021-02-09 21:31 Sam James
2021-02-09 23:38 Michał Górny
2021-02-10  8:35 Michał Górny
2021-02-19 10:57 Michał Górny
2021-03-31 10:14 Michał Górny
2021-05-06 22:22 Sam James
2021-05-06 23:03 Michał Górny
2021-05-30 23:19 Marek Szuba
2021-07-01 21:16 Conrad Kostecki
2021-10-27 17:01 Michał Górny
2021-11-18  9:16 Michał Górny
2021-12-19 21:03 Arthur Zamarin
2021-12-19 21:15 Michał Górny
2022-02-03  8:27 Michał Górny
2022-03-15 11:27 Jakov Smolić
2022-03-15 14:05 Michał Górny
2022-05-18  6:59 Michał Górny
2022-05-18  9:48 Michał Górny
2022-05-18 10:29 Michał Górny
2022-08-28  5:06 WANG Xuerui
2022-10-30  6:39 Michał Górny
2022-11-29  7:26 Arthur Zamarin
2022-11-29  8:41 Michał Górny
2023-03-22  6:23 Michał Górny
2023-04-22 10:53 Sam James
2023-04-22 16:12 Michał Górny
2023-05-29 12:00 Michał Górny
2024-05-18 16:10 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1443511699.47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox